### Method

# GLib Source set_static_name

since: 2.70

#### Declaration [src]

    void
    g_source_set_static_name (
      GSource* source,
      const char* name
    )

#### Description [src]

A variant of `g_source_set_name()` that does not duplicate the `name`, and can only be used with string literals.

Available since: 2.70

#### Parameters

`name`

  Type: `const char*`

  Debug name for the source.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.